* {
    box-sizing: border-box;
}

/* Style the body */
body {
    font-family: sans-serif;
    margin: 0;
    background-image: radial-gradient(at left top, white, #E9EDF3 44%, #E9EDF3 72%, #D0D8E5);
    height: 100%;
    min-height: 100vh;
    line-height: 1.75em;
}

/* Header/logo Title */
.header {
    padding: 15px;
    color: white;
}

.rivet {
    background-image: url('backgroundslice.svg');
    height: 80px;
    background-repeat: space;
    position: fixed;
    z-index: -1;
}

.header img {
    width:200px;
}

#phone-number,#text-number {
    font-size: 20px;
    font-family: 'Poppins',sans-serif;
    font-weight: 600;
    background: rgb(114,140,216);
    width: 200px;
    height: 40px;
    text-align: center;
    line-height: 40px;
    border-radius: 10px;
    text-decoration: none;
    color: white;
    margin: 0 0 15px 15px;
}

#phone-number::before {
    content: url("data:image/svg+xml,%3Csvg%20fill%3D%22%23ffffff%22%20height%3D%2225px%22%20width%3D%2220px%22%20viewBox%3D%220%20-8%2032%2032%22%20version%3D%221.1%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20stroke%3D%22%23ffffff%22%3E%3Cg%3E%20%3Cpath%20d%3D%22M0%2010.375c0%200.938%200.344%201.969%200.781%203.063s1%202.125%201.438%202.906c1.188%202.063%202.719%204.094%204.469%205.781s3.813%203.094%206.125%203.938c1.344%200.531%202.688%201.125%204.188%201.125%200.75%200%201.813-0.281%202.781-0.688%200.938-0.406%201.781-1.031%202.094-1.781%200.125-0.281%200.281-0.656%200.375-1.094%200.094-0.406%200.156-0.813%200.156-1.094%200-0.156%200-0.313-0.031-0.344-0.094-0.188-0.313-0.344-0.563-0.5-0.563-0.281-0.656-0.375-1.5-0.875-0.875-0.5-1.781-1.063-2.563-1.469-0.375-0.219-0.625-0.313-0.719-0.313-0.5%200-1.125%200.688-1.656%201.438-0.563%200.75-1.188%201.438-1.625%201.438-0.219%200-0.438-0.094-0.688-0.25s-0.5-0.281-0.656-0.375c-2.75-1.563-4.594-3.406-6.156-6.125-0.188-0.313-0.625-0.969-0.625-1.313%200-0.406%200.563-0.875%201.125-1.375%200.531-0.469%201.094-1.031%201.094-1.719%200-0.094-0.063-0.375-0.188-0.781-0.281-0.813-0.656-1.75-0.969-2.656-0.156-0.438-0.281-0.75-0.313-0.906-0.063-0.094-0.094-0.219-0.125-0.375s-0.094-0.281-0.125-0.406c-0.094-0.281-0.25-0.5-0.406-0.625-0.156-0.063-0.531-0.156-0.906-0.188-0.375%200-0.813-0.031-1-0.031-0.094%200-0.219%200-0.344%200.031h-0.406c-1%200.438-1.719%201.313-2.25%202.344-0.5%201.031-0.813%202.188-0.813%203.219z%22%3E%3C%2Fpath%3E%20%3C%2Fg%3E%3C%2Fsvg%3E");
    padding-right:10px;
}

#text-number::before {
    content: url("data:image/svg+xml,%3Csvg%20fill%3D%22%23ffffff%22%20height%3D%2225px%22%20width%3D%2220px%22%20version%3D%221.1%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20viewBox%3D%220%20-150%20490%20490%22%20xml%3Aspace%3D%22preserve%22%20stroke%3D%22%23ffffff%22%3E%3Cg%3E%20%3Cpath%20d%3D%22M384.547%2C31.26H105.453C47.313%2C31.26%2C0%2C79.606%2C0%2C139.016v106.739c0%2C59.411%2C47.313%2C107.756%2C105.453%2C107.756h176.408%20L410.103%2C458.74V350.266C456.489%2C338.453%2C490%2C295.745%2C490%2C245.755V139.016C490%2C79.606%2C442.687%2C31.26%2C384.547%2C31.26z%22%3E%3C%2Fpath%3E%20%3C%2Fg%3E%3C%2Fsvg%3E");
    padding-right:10px;
}

/* Style the top navigation bar */
.navbar {
    display: flex;
    background-color: #333;
}

/* Style the navigation bar links */
.navbar a {
    color: white;
    padding: 14px 20px;
    text-decoration: none;
    text-align: center;
}

/* Change color on hover */
.navbar a:hover {
    background-color: #ddd;
    color: black;
}

.navButton {
    display: block;
    height: 35px;
    line-height: 35px;
    font-size: 16px;
    margin-bottom: 15px;
    background: rgba(255,255,255,0.6);
    box-shadow: 0px 5px 10px rgba(0,0,0,0.2);
    text-align: center;
    text-decoration: none;
    width: 200px;
}

.navButton.active {
    border-bottom: 2px solid rgb(24,70,156);
}

/* Column container */
.row {  
    display: flex;
    flex-wrap: wrap;
}

/* Create two unequal columns that sits next to each other */
/* Sidebar/left column */
.side {
    flex: 15%;
    padding: 15px;
}

/* Main column */
.main {
    flex: 76%;
    padding: 0px;
    margin-top: -143px;
}

.content-col {
    padding: 20px;
}

@media only screen and (max-width: 768px) {
    .content-col {
        width: calc(100vw - 20px);
    }
    .header {
        margin: 0 auto;
        width: min-content;
    }
    .subheader {
        margin: 0 auto;
        width: min-content;
    }
    .side {
        margin: 0 auto;
        width: min-content;
    }
}

.content-pane {
    padding: 20px 20px 10px 20px;
    background-color: rgba(255,255,255,0.6);
    border-radius: 12px;
    width: 100%;
    max-width: 950px;
    margin-bottom: 30px;
}

/* Footer */
.footer {
    padding: 20px;
    text-align: center;
    background: #ddd;
}

a, a:visited, a:hover, a:active {
    color: inherit;
}

h2 {
    margin-block-start: 0;
    color: rgb(24, 70, 156);
}

h5 {
    margin: 5px;
    font-size: 15px;
}

input, textarea, select {
    font-size: 14px;
    line-height: 14px;
    padding: 8px;
    border-radius: 8px;
    border: 1px solid lightgray;
    margin-bottom: 10px;
    width: 250px;
    font-family: sans-serif;
}

input[type=checkbox] {
    width: auto;
}

label {
    user-select: none;
    font-size: 12px;
}

#outFeedback {
    padding: 5px;
    font-weight: bold;
    border-radius: 5px;
    height: 25px;
    display: block;
    width: fit-content;
    visibility: hidden;
}

#outFeedback.error {
    background: salmon;
    color: white;
}

#outFeedback.success {
    background: lightgreen;
    color: black;
}

.actionButton {
    display: block;
    user-select: none;
    background-color: rgb(114,140,216);
    color: white;
    font-weight: bold;
    width: 120px;
    height: 40px;
    line-height: 40px;
    text-align: center;
    border-radius: 8px;
    margin: 15px 0;
    cursor:pointer;
    text-decoration: none;
}
a.actionButton {
    color:white;
}

#review-carousel-container {
    position: relative;
    width: 100%;
    min-height: 262px;
    overflow: hidden;
    transition: height 0.6s;
}
#review-stars {
    height: 25px;
    width: fit-content;
    margin: 0 auto;
}
.reviewstar {
    width: 25px;
}
.review-slide {
    position: absolute;
    transition: left 0.6s;
    width: 100%;
    left: 100%;
}
.review-body {
    font-size: 18px;
    color: rgb(24, 70, 156);
    padding: 10px 30px;
}
.quote {
    width: 20px;
}
.quote > svg {
    color: red;
}
.quote.open {
    transform: rotate(180deg);
}
.quote.close {
    margin-left:5px;
}
.review-by {
    color:gray;
    text-align: right;
    margin-right:20px;
}
.review-current {
    left: 0%;
}
.review-previous {
    left:-100%;
}

/* Responsive layout - when the screen is less than 700px wide, make the two columns stack on top of each other instead of next to each other */
@media (max-width: 975px) {
    .row, .navbar {   
        flex-direction: column;
    }
    .main {
        margin-top: 0 !important;
    }
}